import 'package:flutter/material.dart';

import 'package:pshared/models/payment/type.dart';
import 'package:pshared/models/recipient/recipient.dart';

import 'package:pweb/pages/dashboard/payouts/single/adress_book/widget.dart';
import 'package:pweb/pages/dashboard/payouts/single/new_recipient/payout.dart';


class SinglePayoutForm extends StatelessWidget {
  final ValueChanged<Recipient> onRecipientSelected;
  final void Function(PaymentType type) onGoToPayment;

  const SinglePayoutForm({
    super.key,
    required this.onRecipientSelected,
    required this.onGoToPayment,
  });

  static const double _spacingBetweenAddressAndForm = 20.0;
  static const double _bottomSpacing = 40.0;

  @override
  Widget build(BuildContext context) {
    return Column(
      crossAxisAlignment: CrossAxisAlignment.stretch,
      children: [
        AdressBookPayout(onSelected: onRecipientSelected),
        const SizedBox(height: _spacingBetweenAddressAndForm),
        SinglePayout(onGoToPayment: onGoToPayment),
        const SizedBox(height: _bottomSpacing),
      ],
    );
  }
}
